Skip to main content

JCB J/Secure


JCB J/Secure is the authentication service in the JCB card network that uses the 3-D Secure protocol to validate customers at checkout. When you request an authorization using a supported card type and a supported processor, you can include payer authentication data in the request. The payer authentication services enable you to add payer authentication support to your website without running additional software on your server.

Before implementing payer authentication for JCB J/Secure, contact customer support to have your account configured for this feature.

Supported Processors

  • Chase Paymentech Solutions
  • Elavon Americas
  • JCN Gateway
  • SIX
  • Chase Paymentech Solutions
  • Elavon Americas

Fields Specific to the JCB J/Secure Use Case

These API fields are required specifically for this use case.

  • consumerAuthenticationInformation.cavv: required when payer authentication is successful.
  • consumerAuthenticationInformation.xid: required when payer authentication is successful.
  • consumerAuthenticationInformation.eciRaw: required when the payer authentication validation service returns a raw ECI value.
  • processingInformation.commerceIndicator: set this field to one of these values:
    • js: successful authentication for a JCB card (3-D Secure value of 05).
    • js_attempted: authentication was attempted for a JCB card (3-D Secure value of 06).
    • js_failure or internet: authentication failed or was not attempted for a JCB card (3-D Secure value of 07).

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

POST /pts/v2/payments

Example

{    "clientReferenceInformation": {       "code": "TC50171_3"    },    "processingInformation": {        "commerceIndicator": "js"    },    "paymentInformation": {        "card": {            "number": "3400000XXXXXXX8",            "expirationMonth": "01",            "expirationYear": "2025"        }    },    "orderInformation": {        "amountDetails": {            "totalAmount": "100",            "currency": "USD"        },        "billTo": {            "firstName": "John",            "lastName": "Smith",            "address1": "201 S. Division St._1",            "locality": "Foster City",            "administrativeArea": "CA",            "postalCode": "94404",            "country": "US",            "email": "[email protected]",            "phoneNumber": "6504327113"        }    },    "consumerAuthenticationInformation": {        "cavv": "1234567890987654321ABCDEFabcdefABCDEF123",        "xid": "1234567890987654321ABCDEFabcdefABCDEF123"    }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/6783071542936193303955/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6783071542936193303955"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/6783071542936193303955/captures"    }  },  "clientReferenceInformation": {    "code": "TC50171_3"  },  "id": "6783071542936193303955",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "100.00",      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "003"    }  },  "paymentInformation": {    "accountFeatures": {      "currency": "usd",      "balanceAmount": "70.00"    },    "tokenizedCard": {      "type": "003"    },    "card": {      "type": "003"    }  },  "pointOfSaleInformation": {    "terminalId": "111111"  },  "processorInformation": {    "approvalCode": "888888",    "networkTransactionId": "123456789619999",    "transactionId": "123456789619999",    "responseCode": "100",    "avs": {      "code": "X",      "codeRaw": "I1"    }  },  "reconciliationId": "62427259FEYR18Q2",  "status": "AUTHORIZED",  "submitTimeUtc": "2023-03-08T20:25:54Z"}

Required Fields

Use these required fields to process an authorization using JCB J/Secure authentication.

FieldDescription
clientReferenceInformation.code—
consumerAuthenticationInformation.cavv—
consumerAuthenticationInformation.xid—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
orderInformation.billTo.address1—
orderInformation.billTo.administrativeArea—
orderInformation.billTo.country—
orderInformation.billTo.email—
orderInformation.billTo.firstName—
orderInformation.billTo.lastName—
orderInformation.billTo.locality—
orderInformation.billTo.postalCode—
paymentInformation.card.expirationMonth—
paymentInformation.card.expirationYear—
paymentInformation.card.number—
paymentInformation.card.type—
processingInformation.commerceIndicatorSet this field to one of these values: js for successful authentication (3-D Secure value of 05), js_attempted when authentication was attempted (3-D Secure value of 06), or js_failure when authentication failed or was not attempted (3-D Secure value of 07).

Last published: September 29, 2026